//////////////////////////////////////////////////////////////////////////////
//
// "Embedded C Programming: Techniques and Applications of C and PIC MCUs"
// by Mark Siegusmund
//
// Exercise 19-1 #1
//
// Plays Happy Birthday on the E3 buzzer.
//
//////////////////////////////////////////////////////////////////////////////

#include <e3.h>

#define C 4186    //C8
#define D 4698    //D8
#define F 5587    //F8
#define G 6271    //G8
#define A 7040    //A8
#define Bb 7458   //Bb8
#define C1 8372   //C9
#define E 10548    //E9

#use pwm(timer=2,output=PIN_C5,frequency=C)

void playNote(int32 note) {
   pwm_set_frequency(note);
   pwm_set_duty_percent(500);
   delay_ms(500);
}

void main(void) {
   
   for(;;) {
      playNote(C);
      playNote(D);
      playNote(C);
      playNote(F);
      playNote(E);
      playNote(E);
      playNote(C);
      playNote(D);
      playNote(C);
      playNote(G);
      playNote(F);
      playNote(F);
      playNote(C);
      playNote(C1);
      playNote(A);
      playNote(F);
      playNote(E);
      playNote(D);
      playNote(D);
      playNote(Bb);
      playNote(A);
      playNote(F);
      playNote(G);
      playNote(F);
   }
   
   for(;;);
}
